import Table from "../table";
export interface Fk {
    table: Table;
    column: ColumnNoneFk;
}
export interface ColumnNoneFk {
    name: string;
    elem?: HTMLTableRowElement;
    pk?: boolean;
    uq?: boolean;
    nn?: boolean;
    type: string;
}
export interface ColumnFk extends Omit<ColumnNoneFk, "type"> {
    fk?: Fk;
}
export declare type Column = ColumnFk | ColumnNoneFk;
export declare const isColumnFk: (column: Column) => column is ColumnFk;
